class CreateRelativeMemos < ActiveRecord::Migration
  def change
    create_table :relative_memos do |t|
      t.integer :osp_id, :null => true
      t.integer :parent_id, null: true
      t.string :subject, null: false
      t.text :content, null: false
      t.integer :author_id
      t.integer :replies_count, default: 0
      t.integer :last_reply_id
      t.boolean :lock, default: false
      t.boolean :sticky, default: false
      t.boolean :is_quote, default: false
      
      t.timestamps
    end
  end
end
